==================
``writing`` module
==================

.. automodule:: whoosh.writing


Writer
======

.. autoclass:: IndexWriter
    :members:


Utility writers
===============

.. autoclass:: BufferedWriter
    :members:

.. autoclass:: AsyncWriter
    :members:


Exceptions
==========

.. autoexception:: IndexingError


